JsDoc Reference - RAMClient

Class Index | File Index

## Classes

- _global_
- AccessController
- APDU
- AuthenticationObject
- CAConnection
- ChipAuthentication
- ChipAuthenticationDomainParameterInfo
- ChipAuthenticationInfo
- ChipAuthenticationPublicKeyInfo
- CommandInterpreter
- CRLGenerator
- CVC
- CVCCA
- CVCertificateStore
- DataUnitAPDU
- DF
- DKEK
- DNEncoder
- EAC20
- EAC2CVCertificateGenerator
- EAC2CVRequestGenerator
- FCP
- File
- FileEncryptor
- FileSelector
- FileSystemIdObject
- FSNode
- GPSCP03
- HSMCVCertificateStore
- HSMKeyStore
- LinearEF
- ManagePKA
- P11CVCertificateStore
- PACE
- PACEDomainParameterInfo
- PACEInfo
- PaperKeyEncoding
- PKCS10Generator
- PublicKeyFile
- PublicKeyReference
- RAMClient
- RestrictedIdentificationDomainParameterInfo
- RestrictedIdentificationInfo
- SecureChannelHandler
- SecureMessagingCommandAPDUDecoder
- SecurityEnvironment
- SignatureKey
- SmartCardHSM
- SmartCardHSMCrypto
- SmartCardHSMInitializer
- SmartCardHSMKey
- SmartCardHSMKeySpecGenerator
- SmartCardHSMSymmetricKeySpecGenerator
- TransparentEF
- TrustAnchor
- X509CertificateGenerator
- X509CertificateIssuer
- X509CertificateStore
- X509Signer

# Class RAMClient

Defined in: RAMClient.js.

Class Summary
Constructor Attributes | Constructor Name and Description
--- | ---
| RAMClient(card, url, session) Create a client instance for attaching a card to a server via the RAMOverHTTP procotol

Method Summary
Method Attributes | Method Name and Description
--- | ---
<static> | RAMClient.asSignedInteger(val) Prepend a 0, if the encoded integer is interpreted as negative value otherwise
| close(id, msg) Close connection, e.g.
| setAPDULimit(aPDULimit, forceFailSW) Set a limiting number of APDUs This is helpful for testing to intercept processing after a certain number of APDUs (Default 100000).
| setHTTPLimit(aPDULimit, forceFailSW) Set a limiting number of HTTP roundtrips This is helpful for testing to intercept processing after a certain number of HTTP roundtrips (Default 100000).
| setMaxAPDUSize(maxCAPDUSize, maxRAPDUSize) Set a maximum command and response APDU size
| setNotificationListener(the) Set a notification listener.
| update() Perform update operation

Class Detail
RAMClient(card, url, session)
Create a client instance for attaching a card to a server via the RAMOverHTTP procotol

Parameters:
{Card} card
  the card instance to attach
{String} url
  the URL to connect to
{String} session
  the session cookie

Method Detail
<static> RAMClient.asSignedInteger(val)
Prepend a 0, if the encoded integer is interpreted as negative value otherwise

Parameters:
val

close(id, msg)
Close connection, e.g. after exception on the client side

Parameters:
{Number} id
  the message id
{String} msg
  the closing message

setAPDULimit(aPDULimit, forceFailSW)
Set a limiting number of APDUs This is helpful for testing to intercept processing after a certain number of APDUs (Default 100000).

Parameters:
{Number} aPDULimit
  the maximum number of APDU processing in update()
{Number} forceFailSW
  the final SW1/SW2

setHTTPLimit(aPDULimit, forceFailSW)
Set a limiting number of HTTP roundtrips This is helpful for testing to intercept processing after a certain number of HTTP roundtrips (Default 100000).

Parameters:
{Number} aPDULimit
  the maximum number of APDU processing in update()
{Number} forceFailSW
  the final SW1/SW2

setMaxAPDUSize(maxCAPDUSize, maxRAPDUSize)
Set a maximum command and response APDU size

Parameters:
{Number} maxCAPDUSize
  The maximum number of bytes in the command APDU
{Number} maxRAPDUSize
  The maximum number of bytes in the response APDU

setNotificationListener(the)
Set a notification listener. The listener object must implement a notificationReceived() method that receives the three parameter id, msg and ttc.

Parameters:
{Object} the
  listener object implementing notificationReceived()

update()
Perform update operation

Documentation generated by JsDoc Toolkit 2.4.0 on Wed Mar 18 2026 21:29:18 GMT+0100 (CET)